> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the existing user setting for the given user.



## OpenAPI

````yaml /api-specs/6.3/dmm.yaml get /model-monitor/v2/api/setting/user
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/setting/user:
    get:
      tags:
        - UserSettings
      summary: Get the existing user setting for the given user.
      operationId: getUserSetting
      responses:
        '200':
          description: User Settings fetched successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/userSettingResponse'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    userSettingResponse:
      title: User Setting Response.
      description: User related config used to configure DMM.
      allOf:
        - $ref: '#/components/schemas/userSetting'
        - type: object
          required:
            - id
            - createdAt
            - updatedAt
            - userId
          properties:
            id:
              description: User Setting Identifier.
              type: string
            createdAt:
              description: Creation timestamp of the User Setting.
              type: integer
            updatedAt:
              description: Last update timestamp for the User Setting.
              type: integer
            userId:
              description: User Identifier.
              type: string
    userSetting:
      title: User Setting.
      description: User related config used to configure DMM.
      type: object
      properties:
        numOfLastChecks:
          description: Number of last checks to fetch for a model while listing models.
          type: integer
        numOfPredictionTrafficDays:
          description: >-
            Number of days worth prediction traffic to fetch while listing
            models.
          type: integer
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````